#%%global  checkout   8c2069528446b5a23079a72db74897bfaba8ed33
#%%global  date       20140908

Name:    telegram-cli
Version: 1.0.5
Release: 1%{?dist}
#Release: 1.%%{date}git%%(echo %%{checkout} | cut -c-6)%%{?dist}
Summary: Linux Command-line interface for Telegram
License: GPLv2+ and LGPLv2+
URL:     https://github.com/vysheng/tg
#Source0: https://github.com/vysheng/tg/archive/tg-%{checkout}.zip
Source0: https://github.com/vysheng/tg/archive/%{version}.1.tar.gz#/tg-%{version}.1.tar.gz

##Remove local include and libraries locations
Patch0:  %{name}-compilerflags.patch

## See bz#1138804
## Upstream issue on https://github.com/vysheng/tg/issues/239
ExcludeArch: ppc ppc64

BuildRequires: lua-devel, openssl-devel, libevent-devel
BuildRequires: libconfig-devel, readline-devel

%description
Telegram is an Open Source instant messaging platform for mobile and
desktop focused on privacy. 
This is a Linux Command-line interface for Telegram.

%prep
%setup -q -n tg-%{version}.1
%patch0 -p0

%if 0%{?rhel} >= 6
sed -e 's|event2/event.h|event.h|g' -i *.c
%endif

%build
%configure --enable-libconfig --enable-liblua

##%%{?_smp_mflags} originates fails during the code compilation
##See https://github.com/vysheng/tg/issues/235
make


%install
##Manual installation
#make DESTDIR=%%{buildroot} install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/telegram/server.pub

install -p -m 0755 bin/telegram-cli %{buildroot}%{_bindir}
install -p -m 0644 tg-server.pub %{buildroot}%{_sysconfdir}/telegram/server.pub

%files
%doc README.md README-LUA LICENSE
%{_bindir}/telegram-cli
%dir %{_sysconfdir}/telegram
%dir %{_sysconfdir}/telegram/server.pub
%config(noreplace) %{_sysconfdir}/telegram/server.pub/tg-server.pub

%changelog
* Wed Sep 24 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.5-1 
- Update to 1.0.5

* Mon Sep 08 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.2-1.20140908git8c2069
- Add support of libevent 1.4.* (on EPEL) 
- Update to 1.0.2

* Fri Sep 05 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-3.20140831git30ad29
- ExcludeArch ppc ppc64
- Defined rhel macro for libevent headers

* Mon Sep 01 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-2.20140831git30ad29
- Added libevent BR

* Mon Sep 01 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-1.20140831git30ad29
- Release 1.0.1 (commit 30ad29)
- Binary file renamed telegram-cli
- Removed %%{?_smp_mflags} macro
- Added license LGPLv2+

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20140321git1dad2e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20140321git1dad2e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.5.20140321git1dad2e
- New commit (1dad2e)

* Wed Mar 19 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.4.20140316git90f627
- New commit (90f627)

* Sat Mar 15 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.3.20140312git046b8f
- New commit (046b8f)
- Defined a 'date' macro
- Added '--with-progname=' option 

* Sat Mar 08 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.2.20140307git8b78b6
- Package renamed to telegram-cli 

* Fri Mar 07 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.1.20140307git8b78b6
- Initial package
